//Iniciar

function iniciarDatabaseConection()
{
    loading(1,'Cargando estructura Inicial');
    //Creacion Tabla de Usuarios
    bd.transaction(function(tr){
        tr.executeSql('CREATE TABLE IF NOT EXISTS lista_usuarios (uid,identificacion,nombre,subregion,ciudad,rol)');
    },
    function (error) {
        console.log("Error: " + error.message);
    },
    function()
    {
        console.log("Tabla lista_usuarios Creada");
        datosUsuariosIniciales();
    });

    //Creacion Tabla Datos de Integrantes
    bd.transaction(function(tr){
        tr.executeSql('CREATE TABLE IF NOT EXISTS datos_integrantes (uid,nombre,tipo_doc,identificacion,f_nac,parentezco,sexo,genero,or_sexual,ecivil,ocupacion,discapacidad,etnia,hvictimizane,vinculacion,afiliacion)');
    },
    function (error) {
        console.log("Error: " + error.message);
    },
    function()
    {
        console.log("Tabla datos_integrantes Creada");
    });

    //Creacion Tabla Datos de Riesgos
    bd.transaction(function(tr){
        tr.executeSql('CREATE TABLE IF NOT EXISTS datos_riesgo (uid,identificacion,escolaridad,razonabandono,discapacidad,rpsicosociales,rinfancia,atencionmujer,gestantes,adulto,infecciosas,saludoral,segalimentaria)');
    },
    function (error) {
        console.log("Error: " + error.message);
    },
    function()
    {
        console.log("Tabla datos_riesgo Creada");
        loading(0);
    });

    //Creacion Tabla Datos de Cargas
    bd.transaction(function(tr){
        tr.executeSql('CREATE TABLE IF NOT EXISTS log_upload (uid,fecha,estado)');
    },
    function (error) {
        console.log("Error: " + error.message);
    },
    function()
    {
        console.log("Tabla log_upload Creada");
        loading(0);
    });

    //Creacion Tabla Datos de la Vivienda
    bd.transaction(function(tr){
        tr.executeSql('CREATE TABLE IF NOT EXISTS datos_vivienda (uid,MunicipioVivienda,CentroPoblado,DirVivienda,BarrioVivienda,GeoLocate,ParentezcoRecibeVisita,NombreRecibeVisita,TDRecibeVisita,IdentcoRecibeVisita,FnacRecibeVisita,TelRecibeVisita,TipoVivienda,NombreOtroTipoVivienda,NroPersonasVivienda,NroDormitoriosVivienda,PerrosEnVivienda,GatosEnVivienda,OtrasMascotasEnVivienda,PerrosNoVacunEnVivienda,GatosNoVacunEnVivienda,TenenciaBovinos,TenenciaCaprinos,TenenciaOvinos,TenenciaPorcinos,TenenciaEquinos,TenenciaEMenores,TenenciaAExoticos,OtrosAnimalesTenencia,riesgoVivEV01,riesgoVivEV02,riesgoVivEV03,riesgoVivEV04,riesgoVivEV05,riesgoVivEV06,riesgoVivEV07,riesgoVivEV08,riesgoVivCA01,riesgoVivCA02,riesgoVivCA03,riesgoVivCA04,riesgoVivMA01,riesgoVivMA02,riesgoVivMA03,riesgoVivRS01,riesgoVivRS02,riesgoVivRS03,riesgoVivRS04,riesgoVivRS05,riesgoVivRS06,riesgoVivRS07,riesgoVivMP01,riesgoVivMP02,riesgoVivMP03,riesgoVivAH01,riesgoVivAH02,riesgoVivAH03,riesgoVivAH04,riesgoVivAH05,riesgoVivCR01,riesgoVivCR02,riesgoVivCR03,riesgoVivCR04,riesgoVivCR05,riesgoVivCR06,riesgoVivCR07,riesgoVivCR08,riesgoVivNM01,riesgoVivNM02,riesgoVivNM03,riesgoVivNM04,riesgoVivNM05,subsidioVivienda)');
    },
    function (error) {
        console.log("Error: " + error.message);
    },
    function()
    {
        console.log("Tabla datos_vivienda Creada");
    });

    var query="SELECT count(uid) as cantidad from datos_vivienda";
    bd.executeSql(query, [], function (resultSet) {
        $("#NroFichasCargadas").text(resultSet.rows.item(0).cantidad);
    }, function(error) {
        console.log('SELECT error: ' + error.message);
    });

    var query="SELECT count(uid) as cantidad from log_upload";
    bd.executeSql(query, [], function (resultSet) {
        $("#NroCargasWeb").text(resultSet.rows.item(0).cantidad);
        loading(0);
    }, function(error) {
        console.log('SELECT error: ' + error.message);
    });

}

function datosUsuariosIniciales()
{
    var query="";
    query=query+"('10','12345','DIGITADOR','001','47288','DIGITADOR'),";
    query=query+"('20','54321','VISUALIZADOR','001','47288','VISUALIZADOR')";
    bd.transaction(function(tr){
        tr.executeSql("INSERT INTO lista_usuarios values "+query);
    },
    function (error) {
        alert("Error: " + error.message);
        console.log("Consulta Error -> INSERT INTO lista_usuarios values "+query);
    },
    function()
    {
        console.log("Usuarios Ingresados a la BD");
    });

}

function query_exec(crud='',query='')
{
    switch(crud)
    {
        case 'dataUserSelect':
            bd.executeSql(query, [], function (resultSet) {
                if(resultSet.rows.length>0)
                {
                    uidUser=resultSet.rows.item(0).uid;
                    identUser=resultSet.rows.item(0).identificacion;
                    nameUser=resultSet.rows.item(0).nombre;
                    rolUser=resultSet.rows.item(0).rol;
                    subregionUser=resultSet.rows.item(0).subregion;
                    ciudadUser=resultSet.rows.item(0).ciudad;
                    catUSer=resultSet.rows.length;
                    console.log('uidUser: '+uidUser);
                    console.log('identUser: '+identUser);
                    console.log('nameUser: '+nameUser);
                    console.log('rolUser: '+rolUser);
                    console.log('subregionUser: '+subregionUser);
                    console.log('ciudadUser: '+ciudadUser);
                    console.log('catUSer: '+catUSer);
                }
            }, function(error) {
                console.log('SELECT error: ' + error.message);
            });
        break;
    }
}